package com.goafanti.portal.bo;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class AchievementPortalDetailBo {

	private String			id;

	private String			name;

	private String			keyword;

	private String			introduction;

	private Integer			maturity;

	private String			maturityS;

	private BigDecimal		transferPrice;

	private String			patentCase;

	private Integer			fieldA;

	private String			fieldAS;

	private String			fieldBS;

	private Date			releaseDate;
	
	private String			releaseDateS;

	private String			province;

	private String			city;

	private String			technicalPictureUrl;

	private Integer			transferMode;

	private String			transferModeS;

	private String			location;

	private List<String>	pictureList;

	private String			interestId;

	private String			field;

	private String			transferPriceS;

	private String			ownerName;

	private String			ownerType;
	
	private Integer			category;

	private Integer			bargainingMode;
	
	private String			categoryS;
	
	private String		ownerMobile;

	public Integer getBargainingMode() {
		return bargainingMode;
	}

	public void setBargainingMode(Integer bargainingMode) {
		this.bargainingMode = bargainingMode;
	}


	public Integer getCategory() {
		return category;
	}

	public void setCategory(Integer category) {
		this.category = category;
	}


	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public String getTransferPriceS() {
		return transferPriceS;
	}

	public void setTransferPriceS(String transferPriceS) {
		this.transferPriceS = transferPriceS;
	}

	public String getField() {
		return field;
	}

	public void setField(String field) {
		this.field = field;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public Integer getMaturity() {
		return maturity;
	}

	public void setMaturity(Integer maturity) {
		this.maturity = maturity;
	}

	public BigDecimal getTransferPrice() {
		return transferPrice;
	}

	public void setTransferPrice(BigDecimal transferPrice) {
		this.transferPrice = transferPrice;
	}

	public String getPatentCase() {
		return patentCase;
	}

	public void setPatentCase(String patentCase) {
		this.patentCase = patentCase;
	}

	public Date getReleaseDate() {
		return releaseDate;
	}

	public void setReleaseDate(Date releaseDate) {
		this.releaseDate = releaseDate;
	}

	public String getTechnicalPictureUrl() {
		return technicalPictureUrl;
	}

	public void setTechnicalPictureUrl(String technicalPictureUrl) {
		this.technicalPictureUrl = technicalPictureUrl;
	}

	public Integer getTransferMode() {
		return transferMode;
	}

	public void setTransferMode(Integer transferMode) {
		this.transferMode = transferMode;
	}

	public List<String> getPictureList() {
		return pictureList;
	}

	public void setPictureList(List<String> pictureList) {
		this.pictureList = pictureList;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getTransferModeS() {
		return transferModeS;
	}

	public void setTransferModeS(String transferModeS) {
		this.transferModeS = transferModeS;
	}

	public String getMaturityS() {
		return maturityS;
	}

	public void setMaturityS(String maturityS) {
		this.maturityS = maturityS;
	}

	public String getInterestId() {
		return interestId;
	}

	public void setInterestId(String interestId) {
		this.interestId = interestId;
	}

	public Integer getFieldA() {
		return fieldA;
	}

	public void setFieldA(Integer fieldA) {
		this.fieldA = fieldA;
	}

	public String getFieldAS() {
		return fieldAS;
	}

	public void setFieldAS(String fieldAS) {
		this.fieldAS = fieldAS;
	}

	public String getFieldBS() {
		return fieldBS;
	}

	public void setFieldBS(String fieldBS) {
		this.fieldBS = fieldBS;
	}

	public String getReleaseDateFormattedDate() {
		if (this.releaseDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getReleaseDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setReleaseDateFormattedDate(String releaseDateFormattedDate) {

	}

	public String getOwnerType() {
		return ownerType;
	}

	public void setOwnerType(String ownerType) {
		this.ownerType = ownerType;
	}

	public String getCategoryS() {
		return categoryS;
	}

	public void setCategoryS(String categoryS) {
		this.categoryS = categoryS;
	}

	public String getReleaseDateS() {
		if(null == releaseDate) {
			return null;
		}else {
			SimpleDateFormat sdf =new SimpleDateFormat(AFTConstants.YYYYMMDD);
			releaseDateS=sdf.format(this.releaseDate);
			return releaseDateS;
		}
	}

	public void setReleaseDateS(String releaseDateS) {
		this.releaseDateS = releaseDateS;
	}

	public String getOwnerMobile() {
		return ownerMobile;
	}

	public void setOwnerMobile(String ownerMobile) {
		this.ownerMobile = ownerMobile;
	}

	
	
}
